Skip to main content
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
provider-channels
/
{messageProviderType}
Get provider channels by workspace id and provider type
curl --request GET \
  --url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/provider-channels/{messageProviderType} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/provider-channels/{messageProviderType}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/provider-channels/{messageProviderType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workspaceId": "<string>",
  "providerChannels": [
    {
      "identifier": "<string>"
    }
  ]
}
{
"title": "Forbidden",
"status": 403,
"code": "BRIDGE_CORE_0301"
}
{
"title": "Provider Channel Not Found",
"status": 404,
"code": "BRIDGE_PROVIDER_CHANNEL_0001"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

messageProviderType
enum<string>
required

Message provider type (e.g. WHATSAPP, HEYGIA).

Available options:
WHATSAPP,
SMS,
TELEGRAM,
INSTAGRAM,
TWITTER,
LINE,
FACEBOOK,
IMESSAGE,
WHATSAPP_TEST,
HEYGIA

Response

Successful Response

Response body for provider channels operations.

workspaceId
string
required

Unique identifier of the workspace (UUID v4).

Example:

"92b2d4f3-81e1-4b61-a7ec-6f4ff3b58be5"

providerChannels
ProviderChannel · object[]
required

List of provider channels (phone numbers) available for this workspace.